/* Scroll-up button background color */
#back-to-top {
  transition: all 0.3s ease;
}

/* Hover effect */
#back-to-top:hover {
  transform: translateY(-3px); /* Optional lift effect */
}




/* Center the featured image on single post pages */
.single-post .post-thumbnail,
.single-post .featured-image,
.single-post .entry-thumbnail {
  display: flex;
  justify-content: center;
  align-items: center;  
  text-align: center;
}



/* Ensure the image itself is centered and responsive */
.single-post .post-thumbnail img,
.single-post .featured-image img,
.single-post .entry-thumbnail img {
  display: block;
  max-width: 100%;
  height: auto;
  border-radius: 16px; 
}





/* Default (Desktop / Laptop) */
.joinchat {
    bottom: 10px !important;
		right: 30px !important;
    z-index: 9999 !important;
}

.joinchat__button {
    width: 55px !important;
    height: 55px !important;
}

/* Tablet (up to 1024px) */
@media (max-width: 1024px) {
    .joinchat {
        bottom: 0px !important;
        right: 18px !important;
    }
    .joinchat__button {
        width: 60px !important;
        height: 60px !important;
    }
}

/* Mobile (up to 767px) */
@media (max-width: 767px) {
    .joinchat {
        bottom: 0px !important;
        right: 18px !important;
    }
    .joinchat__button {
        width: 45px !important;
        height: 45px !important;
    }
}








/* On mobile, you can slightly adjust it */
@media (max-width: 767px) {
  .joinchat__badge.joinchat__badge--in {
		top: -60px;
    right: -8px;
  }
}